Core APIVaultsSlug
/vaults/{slug}/authority
Get Vault Authority by slug
Get Vault Authority by slug
Path Parameters
slug*string
Unique slug identifier for the vault.
Length
1 <= lengthResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/vaults/nest-alpha-vault/authority"{ "data": { "vaultAddress": "string", "accountantAddress": "0x1234567890123456789012345678901234567890", "isHubAccountant": false, "nestAccountant": { "address": "string", "chain": { "mainnet": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "base": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "plume": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "plasma": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "arbitrum": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "bsc": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "worldchain": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "avalanche": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "arc": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "morph": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "robinhood": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "monad": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" } } }, "nestAuthority": { "address": "string", "chain": { "mainnet": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "base": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "plume": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "plasma": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "arbitrum": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "bsc": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "worldchain": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "avalanche": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "arc": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "morph": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "robinhood": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" }, "monad": { "accountantAddress": "string", "startBlock": 0, "accountantType": "spoke" } } }, "authority": "0x1234567890123456789012345678901234567890" }}/vaults/{slug}/apy-history GET
Get APY history for vault by slug for the given date range. Only fully settled UTC days are included. Because the current UTC day is not yet settled, it is omitted even when it falls within the requested date range. `compositionApy` is the composition-weighted yield APY (liquid assets and off-chain value are excluded from the APY denominator). `apy` is a legacy alias for `compositionApy`. `navApy` is the price-delta (NAV-based) APY computed from vault token price changes.
/vaults/{slug}/calculated-price GET
Get Vault calculated NAV, calculated price and Total Supply by slug